aboutsummaryrefslogtreecommitdiff
path: root/bash
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2015-11-27 11:41:24 +1300
committerTom Ryder <tom@sanctum.geek.nz>2015-11-27 11:41:24 +1300
commit82e75fd244defc3bcb45495c34f67b26956f58a1 (patch)
tree775fb47f2ef4f48f16285fac72107a683023d1af /bash
parentRemove a now-inapplicable comment (diff)
downloaddotfiles-82e75fd244defc3bcb45495c34f67b26956f58a1.tar.gz
dotfiles-82e75fd244defc3bcb45495c34f67b26956f58a1.zip
Fix up some mktemp(1) templates
Diffstat (limited to 'bash')
-rw-r--r--bash/bashrc.d/fnl.bash5
1 files changed, 2 insertions, 3 deletions
diff --git a/bash/bashrc.d/fnl.bash b/bash/bashrc.d/fnl.bash
index 408778a2..fd8dfc97 100644
--- a/bash/bashrc.d/fnl.bash
+++ b/bash/bashrc.d/fnl.bash
@@ -23,9 +23,8 @@ fnl() {
fi
# Create a temporary directory or bail
- local template dirname
- template=$FUNCNAME.$1.XXXXX
- if ! dirname=$(mktemp -dt -- "$template") ; then
+ local dirname
+ if ! dirname=$(mktemp -dt -- "$FUNCNAME"."$1".XXXXXX) ; then
return
fi